Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.ui.desktop
Interface SoapUIDesktop

All Known Implementing Classes:
  AbstractSoapUIDesktop, StandaloneDesktop

    public interface SoapUIDesktop

Behaviour for a soapUI Desktop implementation

Author:
  ole.matzura

Method Summary
`void` | `addDesktopListener(DesktopListener listener)`
`boolean` | `closeAll()`
`boolean` | `closeDesktopPanel(DesktopPanel desktopPanel)`
`boolean` | `closeDesktopPanel(ModelItem modelItem)`
`ActionList` | `getActions()`
`javax.swing.JComponent` | `getDesktopComponent()`
`DesktopPanel` | `getDesktopPanel(ModelItem modelItem)`
`DesktopPanel[]` | `getDesktopPanels()`
`boolean` | `hasDesktopPanel(ModelItem modelItem)`
`void` | `init()`
`void` | `release()`
`void` | `removeDesktopListener(DesktopListener listener)`
`DesktopPanel` | `showDesktopPanel(DesktopPanel desktopPanel)`
`DesktopPanel` | `showDesktopPanel(ModelItem modelItem)`
`void` | `transferTo(SoapUIDesktop newDesktop)`

Method Detail

### closeDesktopPanel

    boolean closeDesktopPanel(DesktopPanel desktopPanel)

### hasDesktopPanel

    boolean hasDesktopPanel(ModelItem modelItem)

### addDesktopListener

    void addDesktopListener(DesktopListener listener)

### removeDesktopListener

    void removeDesktopListener(DesktopListener listener)

### showDesktopPanel

    DesktopPanel showDesktopPanel(ModelItem modelItem)

### closeDesktopPanel

    boolean closeDesktopPanel(ModelItem modelItem)

### getActions

    ActionList getActions()

### getDesktopPanels

    DesktopPanel[] getDesktopPanels()

### getDesktopPanel

    DesktopPanel getDesktopPanel(ModelItem modelItem)

### showDesktopPanel

    DesktopPanel showDesktopPanel(DesktopPanel desktopPanel)

### getDesktopComponent

    javax.swing.JComponent getDesktopComponent()

### transferTo

    void transferTo(SoapUIDesktop newDesktop)

### closeAll

    boolean closeAll()

### release

    void release()

### init

    void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.